## org.eclipse.jst.jsf.common.metadata.query
Class AbstractTraitQueryVisitor

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor
          org.eclipse.jst.jsf.common.metadata.query.AbstractTraitVisitor
              org.eclipse.jst.jsf.common.metadata.query.AbstractTraitQueryVisitor

All Implemented Interfaces:
  IMetaDataVisitor, ITraitQueryVisitor, ITraitVisitor

    public abstract class AbstractTraitQueryVisitor

extends AbstractTraitVisitor
implements ITraitQueryVisitor

Abstract implmentation of `ITraitQueryVisitor` that subclasses should use to provide implmentation

Provisional API - subject to change

Constructor Summary
`AbstractTraitQueryVisitor()`

Method Summary
`IResultSet` `findTraits(Entity entity, java.lang.String traitKey)`

Methods inherited from class org.eclipse.jst.jsf.common.metadata.query.AbstractTraitVisitor
`visit, visitCompleted`

Methods inherited from class org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor
`stopVisiting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.ITraitVisitor
`visit, visitCompleted`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Constructor Detail

### AbstractTraitQueryVisitor

    public AbstractTraitQueryVisitor()

Method Detail

### findTraits

    public IResultSet findTraits(Entity entity,
                                 java.lang.String traitKey)

  Specified by:
    `findTraits` in interface `ITraitQueryVisitor`
  Returns:
    EmptyResultSet. Subclasses should override.